Name: engcom
Version: 1.0
Release: alt1

Summary: The Open English-Russian Dictionary of Computer Terms
Summary(ru_RU.KOI8-R):  -   

License: FDL
URL: http://www.etersoft.ru/engcom
Group: Text tools

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://etersoft.ru/download/%name-%version.tar.bz2
Source1: to-dict.sh
Source2: mueller2utf8
Source3: mueller2stardict

BuildArchitectures: noarch

# Please do not use buildreq
BuildPreReq: dict-tools perl-Unicode-Map8 perl-Unicode-String stardict-tools

%define	dict_name engcom
%define dictdesc The Open English-Russian Dictionary of Computer Terms

%description
The %name package contains free (as speech) English-Russian
Dictionary of Computer Terms. It is not academic dictionary.

%description -l ru_RU.KOI8-R
 %name  -  
,     .

%package -n mova-%name

Summary: %dictdesc for mova
Summary(ru_RU.KOI8-R):  -     mova
Group: Text tools
Obsoletes: engcom engcom-mova
Provides: engcom engcom-mova
Requires: mova

%description -n mova-%name
The %name package contains free (with FDL license ) English-Russian
Dictionary of Computer Terms in mova format. It is not academic dictionary.

%description -n mova-%name -l ru_RU.KOI8-R
 %name   -  
   mova,     ,
    .

%package -n dict-%name

Summary: %dictdesc for dict dictionary
Summary(ru_RU.KOI8-R):  -      dict
Group: Text tools
Requires: dictd >= 1.7.1

%description -n dict-%name
The %name package contains free (with FDL license) English-Russian
Computer Dictionary in dict format. It is not academic dictionary.

%description -n dict-%name -l ru_RU.KOI8-R
 %name   -  
    dictd,     ,
    .

%package -n stardict-%name

Summary: The Open English-Russian Dictionary of Computer Terms for stardict dictionary
Summary(ru_RU.KOI8-R):  -      stardict
Group: Text tools
Requires: stardict

%description -n stardict-%name
The %name package contains free (with FDL license) English-Russian
Computer Dictionary in stardict format. It is not academic dictionary.

%description -n stardict-%name -l ru_RU.KOI8-R
 %name   -  
    stardict,     ,
    .

%prep
%setup -q

%build
export LANG=C
export TITLE="%dictdesc"
export URL="http://rulyx.narod.ru"
cd dict
make
mv EngCom.koi %dict_name.koi

# convert to dict
%SOURCE2 %dict_name.koi > %dict_name.utf8
pwd
export DICTFMT_OPT="--locale ru_RU.UTF-8"
%SOURCE1 --src-data %dict_name.utf8 %dict_name.data && rm -f %dict_name.notr
%SOURCE1 --data-dict %dict_name.data %dict_name && rm -f %dict_name.data
%SOURCE1 --expand-index %dict_name.index %dict_name.index.exp

# convert to stardict
#mova2dic %dict_name.utf8
cat %dict_name.koi | %SOURCE3 > stardict.txt
LANGUAGE=ru_RU.UTF-8 LC_CTYPE=ru_RU.UTF-8 oxford2dic stardict.txt
# correct size is very significally
size=`stat -c %s oxford.idxdata`
date=`date`
word=`cat %dict_name.koi | wc -l`
cat << EOF > oxford.ifo
StarDict's dict ifo file
version=2.4.2
wordcount=$word
author=Vitaly Lipatov
email=lav@etersoft.ru
website=http://etersoft.ru
date=$date
idxfilesize=$size
bookname=%dict_name
description=%dictdesc
sametypesequence=m
EOF

cp oxford.idxdata oxford.idx
gzip oxford.idx
dictzip oxford.dict
cd -

%install

cd doc
for i in *
do
	for fd in dict mova stardict
	do
		install -D -m644 $i $RPM_BUILD_ROOT/%_docdir/$fd-%name-%version/$i
	done
done
cd -

cd dict

# install mova files
install -p -m644 -D %dict_name.koi $RPM_BUILD_ROOT/%_datadir/dict/%dict_name.koi

# install dict files
cp -f %dict_name.index.exp %dict_name.index
for i in dict.dz index
do
	install -p -m644 -D %dict_name.$i $RPM_BUILD_ROOT/%_datadir/dictd/%dict_name.$i
done

# install stardict files
for i in dict.dz idx.gz ifo
do
	install -p -m644 -D oxford.$i $RPM_BUILD_ROOT%_datadir/stardict/dic/%dict_name.$i
done

%post -n dict-%name
/usr/sbin/dictdconfig -w
%_initdir/dictd condreload

%postun -n dict-%name
/usr/sbin/dictdconfig -w
%_initdir/dictd condreload

%files -n mova-%name
%docdir %_docdir/mova-%name-%version
%_docdir/mova-%name-%version
%_datadir/dict/*.koi

%files -n dict-%name
%docdir %_docdir/dict-%name-%version
%_docdir/dict-%name-%version
%_datadir/dictd/*

%files -n stardict-%name
%docdir %_docdir/stardict-%name-%version
%_docdir/stardict-%name-%version
%_datadir/stardict/dic/*

%changelog
* Thu May 05 2005 Vitaly Lipatov <lav@altlinux.ru> 1.0-alt1
- new version, 1945 articles
  (dedicates to 60 Years to the end of World War II)

* Tue Mar 08 2005 Vitaly Lipatov <lav@altlinux.ru> 0.91-alt1
- new version, about 1880 articles

* Sun Nov 07 2004 Vitaly Lipatov <lav@altlinux.ru> 0.9-alt1
- new version, about 1850 articles

* Sun Jun 13 2004 Vitaly Lipatov <lav@altlinux.ru> 0.8-alt1
- new version, about 1700 articles
- rename from EngCom to engcom
- add stardict format package

* Sun Jan 18 2004 Vitaly Lipatov <lav@altlinux.ru> 0.7-alt1
- correct and update, 1402 articles

* Thu Jan 01 2004 Vitaly Lipatov <lav@altlinux.ru> 0.6-alt1
- update

* Tue Mar 25 2003 Vitaly Lipatov <lav@altlinux.ru> 0.5-alt1
- update

* Thu Jan 30 2003 Alexey Dyachenko <alexd@altlinux.ru> 0.4-alt3
- fix install scripts
- build with standard dictfmt and locale ru_RU.UTF-8

* Sun Dec 15 2002 Vitaly Lipatov <lav@altlinux.ru> 0.4-alt2
- remove preun_service dictd from preuninstall script (bug #1703)
- corrected double spaces in the source file (via problem with dict)
- small updates of dictionary

* Fri Nov 22 2002 Vitaly Lipatov <lav@altlinux.ru> 0.4-alt1
- new version

* Fri Nov 22 2002 Alexey Dyachenko <alexd@altlinux.ru> 0.3-alt3
- fix script for dict format and dictionary name

* Mon Nov 11 2002 Vitaly Lipatov <lav@altlinux.ru> 0.3-alt2
- cleanup spec
- add obsoletes for engcom-mova

* Mon Nov 04 2002 Vitaly Lipatov <lav@altlinux.ru> 0.3-alt1
- rename output packet to mova-engcom
- add new output packet dict-engcom for dict (based on spec from dict-mueller7-utf8)
- update, 1260 articles

* Sun Jun 30 2002 Vitaly Lipatov <lav@altlinux.ru> 0.2-alt1
- new version, 1200 articles

* Fri Jun 14 2002 Vitaly Lipatov <lav@altlinux.ru> 0.1-alt2
- add noarch option
- rename output packet to engcom-mova
- content updated

* Sun Jun 09 2002 Vitaly Lipatov <lav@altlinux.ru> 0.1-alt1
- first public version in rpm

